Name:              zathura
Version:           0.5.2
Release:           1
Summary:           A lightweight document viewer
License:           Zlib
URL:               http://pwmt.org/projects/%{name}/
Source0:           http://pwmt.org/projects/%{name}/download/%{name}-%{version}.tar.xz

BuildRequires:     bash-completion
#BuildRequires:     binutils
BuildRequires:     cairo-devel
#BuildRequires:     cmake
BuildRequires:     desktop-file-utils
# Needed for mime-type detection : `libmagic` from file
BuildRequires:     file-devel
BuildRequires:     fish
BuildRequires:     gcc
BuildRequires:     gettext
BuildRequires:     girara-devel >= 0.3.7
BuildRequires:     glib2-devel >= 2.50
BuildRequires:     gtk3-devel >= 3.22
BuildRequires:     intltool
# Needed to validate appdata
BuildRequires:     libappstream-glib
BuildRequires:     librsvg2-tools
BuildRequires:     libseccomp-devel
BuildRequires:     meson >= 0.56
# Needed to build man pages (/doc subdir)
BuildRequires:     python3-sphinx
BuildRequires:     sqlite-devel >= 3.6.23
BuildRequires:     texlive-lib-devel
BuildRequires:     zsh
# Tests
#BuildRequires:     check
BuildRequires:     check-devel

Suggests:          zathura-cb
Suggests:          zathusa-djvu
# poppler is preferred over mupdf
Suggests:          zathura-pdf-poppler
Suggests:          zathura-ps

Suggests:          zathura-bash-completion
Suggests:          zathura-fish-completion
Suggests:          zathura-zsh-completion

%description
Zathura is a highly customizable and functional document viewer.
It provides a minimalistic and space saving interface as well as
an easy usage that mainly focuses on keyboard interaction.

Zathura requires plugins to support document formats.
For instance:
* zathura-pdf-poppler to open PDF files,
* zathura-ps to open PostScript files,
* zathura-djvu to open DjVu files, or
* zathura-cb to open comic book files.

All of these are available as separate packages in Fedora.
A zathura-plugins-all package is available should you want
to install all available plugins.

%package devel
Summary:           Development files for the zathura PDF viewer
Requires:          %{name}%{?_isa} = %{version}-%{release}
Requires:          pkgconfig

%description devel
libraries and header files for the zathura PDF viewer.

%package plugins-all
Summary:           Zathura plugins (all plugins)
Requires:          zathura-cb
Requires:          zathura-djvu
# poppler is preferred over mupdf
Requires:          zathura-pdf-poppler
Requires:          zathura-ps

%description plugins-all
This package installs all available Zathura plugins.

%package bash-completion
Summary:           bash-completion files for zathura
BuildArch:         noarch
Requires:          bash-completion
Requires:          %{name} = %{version}-%{release}

%description bash-completion
This package provides %{summary}.

%package fish-completion
Summary:           fish-completion files for zathura
BuildArch:         noarch
Requires:          fish
Requires:          %{name} = %{version}-%{release}

%description fish-completion
This package provides %{summary}.

%package zsh-completion
Summary:           zsh-completion files for zathura
BuildArch:         noarch
Requires:          zsh
Requires:          %{name} = %{version}-%{release}

%description zsh-completion
This package provides %{summary}.

%prep
%autosetup

%build
%meson -Dsynctex=enabled -Dsqlite=enabled -Dseccomp=enabled -Dtests=enabled
%meson_build

%install
%meson_install
appstream-util validate-relax --nonet %{buildroot}%{_datadir}/metainfo/*.appdata.xml
desktop-file-validate %{buildroot}%{_datadir}/applications/*.desktop
%find_lang zathura


%files -f zathura.lang
%license LICENSE
%doc README.md
%{_bindir}/*
%{_mandir}/man*/*
%{_datadir}/applications/*
#Directories without known owners: /usr/share/dbus-1, /usr/share/dbus-1/interfaces.  Would Requires dbus ?
%{_datadir}/dbus-1/interfaces/org.pwmt.zathura.xml
%{_datadir}/icons/hicolor/*/apps/org.pwmt.zathura.png
%{_datadir}/icons/hicolor/*/apps/org.pwmt.zathura.svg
%{_datadir}/metainfo/org.pwmt.zathura.appdata.xml

%files devel
%{_includedir}/zathura
%{_libdir}/pkgconfig/zathura.pc

%files plugins-all

%files bash-completion
%{_datadir}/bash-completion/completions/zathura

%files fish-completion
%{_datadir}/fish/vendor_completions.d/zathura.fish

%files zsh-completion
%{_datadir}/zsh/site-functions/_zathura


%changelog
* Fri May 26 2023 wangtaozhi <wangtaozhi@kylinsec.com.cn> - 0.5.2-1
- Package init
